/// <reference types="react" />
export declare type TranslationPaywallProps = {
    appleGooglePayLabel: string;
    dividerText: string;
    primaryButtonText: string;
    modalTitle: string;
    inputText: {
        cardNumberPlaceholder: string;
        expiryMonthPlaceholder: string;
        expiryYearPlaceholder: string;
        cvvPlaceholder: string;
        nameOfCardPlaceholder: string;
        billingPostcodePlaceholder: string;
    };
    inputErrors: {
        errorName: string;
        errorCard: string;
        errorDate: string;
        errorCvv: string;
    };
    modalPrimaryButtonText: {
        btnUpdate: string;
        btnStartTrail: string;
    };
};
export declare type PaywallProps = {
    accessPaymentsKeys: {
        checkoutPayKey: string;
        braintreeAuthorization?: string;
        stripePromise?: any;
        amazonSellerId: string;
        amazonClientId: string;
    };
    stripeProp: {
        price: number;
        currency: string;
    };
    isUpdateForm: boolean;
    countryCode: string;
    onSubmit: any;
    isApplePayActive: boolean;
    isGooglePayActive: boolean;
    isCreditCardActive?: boolean;
    isPaypalActive: boolean;
    isAmazonActive: boolean;
    env: string;
    onAmazonButtonClicked: () => void;
    formText?: any;
    onComponentReady?: () => void;
    cardError: string;
    error: string;
    loading?: boolean;
    forceReadyComponentTime?: number;
    isModalCheckoutOpened?: boolean;
    modalCheckoutWindowTriggered?: (arg: boolean) => void;
    buttonWrapperClass?: string;
    errorBlockClass?: string;
    translation?: TranslationPaywallProps;
    paypalButtonProps?: any;
    checkoutModalTitleClass?: string;
};
export declare const Paywall: ({ onAmazonButtonClicked, accessPaymentsKeys, countryCode, onSubmit, stripeProp, isApplePayActive, isGooglePayActive, isCreditCardActive, isPaypalActive, isAmazonActive, env, formText, onComponentReady, cardError, error, loading, forceReadyComponentTime, isUpdateForm, isModalCheckoutOpened, modalCheckoutWindowTriggered, buttonWrapperClass, errorBlockClass, translation, paypalButtonProps, checkoutModalTitleClass }: PaywallProps) => JSX.Element;
