import React from "react";

import { AmazonPaymentButton } from "./amazon_payment_button";

import amazonIcon from '../../../assets/paywall/amazon-pay-icon.svg';
import { useStyles } from "./styles";

export type AmazonButtonProps = {
    onError?: () => void,
    sellerId: string,
    clientId: string,
    env: string,
    onAuth: () => void,
    showLoadingBackground: boolean,
}

export const AmazonButton = (props: AmazonButtonProps) => {
    const { amazonButton, amazonButtonLoading, amazonButtonBack, loadingButtonBackground } = useStyles();

    return (
        <div className={`${amazonButton} ${props.showLoadingBackground ? amazonButtonLoading: ''}`}>
            <AmazonPaymentButton {...props} />
            <button className={`${amazonButtonBack} ${props.showLoadingBackground ? loadingButtonBackground: ''}`}>
                <img src={amazonIcon} alt='' />
            </button>
        </div>
    )
}
