import { createUseStyles } from "react-jss";
import { animatedLoadingButton } from "../../../theme/buttons";

export const useStyles = createUseStyles({
    amazonButton: {
        borderRadius: 10,
        position: 'relative',
        minHeight: 48,
        cursor: 'pointer',
        marginBottom: 18
    },
    amazonButtonLoading: {
        pointerEvents: 'none',
    },
    amazonButtonBack: {
        width: '100%',
        height: 48,
        borderRadius: 10,
        position: 'absolute',
        top: 0,
        left: 0,
        background: '#11273B',
        zIndex: 1,
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        border: 'none'
    },
    loadingButtonBackground: {
        ...animatedLoadingButton,
    },
    '@keyframes animatedBackground': {
        'from': {
            backgroundPosition: '0 0',
        },
        'to': {
            backgroundPosition: '1000px 0',
        }
    }
});
