import { createUseStyles } from "react-jss";

import { alignment } from "../../theme/alignment";
import { Theme } from "../../theme";
import { animatedLoadingButton } from "../../theme/buttons";

export const useStyles = createUseStyles({
    wrapper: {
        display: 'none'
    },
    active: {
        display: 'block'
    },
    button: {
        width: '100%',
        height: 48,
        borderRadius: 10,
        background: ({ theme: { palette } }: Theme) => palette.primary,
        ...alignment.center,
        '&:hover': {
            background: ({ theme: { palette } }: Theme) => palette.primary
        },
        '& p': {
            fontSize: 14,
            lineHeight: '18px'
        }
    },
    buttonLoading: {
        ...animatedLoadingButton,
        backgroundImage: 'linear-gradient(90deg, #e4e4e4 0%, #f1f1f1 40%, #ededed 60%, #e4e4e4 100%)!important',
    },
    buttonContent: {
        display: 'flex',
        alignItems: 'center'
    },
    cardIcon: {
        marginRight: 8
    },
    hiddenWindow: {
        display: 'none'
    },
    errorBlock: {
        marginBottom: 14
    },
    '@keyframes animatedBackground': {
        'from': {
            backgroundPosition: '0 0',
        },
        'to': {
            backgroundPosition: '1000px 0',
        }
    }
});
